package com.totopia.server.modules.game.entity;

import com.totopia.server.commons.data.entity.DateAuditEntity;
import com.totopia.server.modules.game.type.SportsTypeName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity
@Table(name = "sports_team_result")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SportsTeamEntity extends DateAuditEntity {

  @Id
  @GeneratedValue(generator = "sports_team_generator")
  @SequenceGenerator(name = "sports_team_generator", sequenceName = "sports_team_sequence", initialValue = 1)
  private Long id;

  @Column(name = "eng_name", nullable = false, length = 200)
  private String engName;

  @Column(name = "kor_name", nullable = true, length = 200)
  private String korName;

  @Column(name = "country_code", nullable = true, length = 50)
  private String countryCode;

  @Enumerated(EnumType.STRING)
  @Column(name = "sports_type", length = 60)
  private SportsTypeName sportsType;
}
