package com.totopia.server.modules.info.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import com.totopia.server.modules.info.type.AnswerStateName;
import com.totopia.server.modules.info.type.QuestionStateName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity
@Table(name = "service_center")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ServiceCenterEntity extends UserDateAuditEntity {
  @Id
  @GeneratedValue(generator = "service_center_generator")
  @SequenceGenerator(name = "service_center_generator", sequenceName = "service_center_sequence", initialValue = 1)
  private Long id;

  @Basic
  @Column(name = "title", nullable = true, length = 200)
  private String title;

  @Basic
  @Column(name = "contents", nullable = true, length = 2000)
  private String contents;

  //
  @Basic
  @Column(name = "attach_id", nullable = true)
  private Long attachFile;

  @Enumerated(EnumType.STRING)
  @Column(name = "answer_status", length = 60)
  private AnswerStateName answerStatus;

  @Enumerated(EnumType.STRING)
  @Column(name = "question_status", length = 60)
  private QuestionStateName questionStatus;
}
