package com.totopia.server.modules.site.controller;

import com.totopia.server.commons.data.payload.ApiResponse;
import com.totopia.server.modules.site.entity.BankAccountsEntity;
import com.totopia.server.modules.site.service.BankAccountsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Sort;
import org.springframework.data.web.SortDefault;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;

@RestController
public class BankAccountsController {

  @Autowired
  BankAccountsService bankAccountsService;

  @GetMapping(value = "/bank_info")
  public Page<BankAccountsEntity> all(
      @SortDefault.SortDefaults({
          @SortDefault(
              sort = "id",
              direction = Sort.Direction.ASC) })
          Pageable pageable) {
    return this.bankAccountsService.getAllBankInfo(pageable);
  }

  @GetMapping(value = "/bank_info/test")
  public List<BankAccountsEntity> allTest() {

    return this.bankAccountsService.getAllBankInfoTest();
  }


  @PostMapping(value = "/bank_info")
  @ResponseStatus(code = HttpStatus.CREATED)
  public ResponseEntity<?> save(@Valid @RequestBody BankAccountsEntity bankInfoEntity) throws Exception{
    this.bankAccountsService.save(bankInfoEntity);
    return ResponseEntity.ok().body(new ApiResponse(true, "BankInfo registered successfully"));
  }

  @PutMapping(value = "/bank_info/{bankInfoId}")
  public ResponseEntity<?> updateLeague(@PathVariable Long bankInfoId, BankAccountsEntity bankInfoEntity) throws Exception {
    BankAccountsEntity leagueEntity1 = this.bankAccountsService.modify(bankInfoEntity);
    return ResponseEntity.ok(leagueEntity1);
  }
}
