package com.totopia.server.modules.user.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import com.totopia.server.modules.user.type.CommissionName;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity(name = "commission")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Builder
public class CommissionEntity extends UserDateAuditEntity {
  @Id
  @GeneratedValue(generator = "commission_generator")
  @SequenceGenerator(name = "commission_generator", sequenceName = "commission_sequence", initialValue = 1)
  private Long id;

  @Basic
  @Column(name = "user_id", nullable = false)
  private Long userId;

  @Basic
  @Column(name = "banking_fees", nullable = false)
  private Float bankingFees;

  @Basic
  @Column(name = "sports_fees", nullable = false)
  private Float sportsFees;

  @Basic
  @Column(name = "mini_game_fees", nullable = false, length = 100)
  private Float miniGameFees;

  @Basic
  @Column(name = "rotus_fees", nullable = false, length = 100)
  private Float rotusFees;

  @Basic
  @Column(name = "sports_raffle_fees", nullable = false, length = 100)
  private Float sportsRaffleFees;

  @Basic
  @Column(name = "mini_game_raffle_fees", nullable = false, length = 100)
  private String miniGameRaffleFees;

  @Enumerated(EnumType.STRING)
  @Column(name = "commission_type", length = 60)
  private CommissionName commissionType;
}
